/*= adc.h ======================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Borge Strand
 *
 * Description:
 *
 *    General-purpose .h file for all ADCs
 *    Use the same .h file for all ADCs! That is because all adc_zzzz.c files 
 *    must implement the same functions. Therefore: NO ADC-chip-specific defines 
 *    here. Keep those in adc_zzzz.c
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 2.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef ADC_H
#define ADC_H


// Local includes
#include "mcu.h"
#include "z1slaveio.h"
#include "hpref_defines.h"


// Functions available from main.c:
void adc_init(void);
void adc_sleep(void);
void adc_wake(void);


// ADC register access from debug system:
void adc_singlewrite(char adr, char data);



#endif
