/*= dac.h ======================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Borge Strand
 *
 * Description:
 *
 *    General-purpose .h file for all DACs
 *    Use the same .h file for all DACs! That is because all dac_yyyy.c 
 *    files must implement the same functions. Therefore: NO DAc-chip-specific 
 *    defines here. Keep those in dac_yyyy.c
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 2.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef DAC_H
#define DAC_H


// Local includes
#include "mcu.h"
#include "z1slaveio.h"
#include "hpref_defines.h"


// Turn on the DAC
char dac_init(void);


// Volume control
char dac_volume_up(void);
char dac_volume_down(void);
char dac_bass_boost(void);
char dac_sleep(void);
char dac_wake(void);


// DAC register access from debug system:
char dac_singlewrite(char adr, char data);


#endif
