/*= main.c =====================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Borge Strand
 *
 * Description:
 *
 *    Place holder for init and user interface file
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 2.0 
 *
 *==============================================================================
 */
 

#include "hpref_defines.h"

// Global variables used instead of pointers
char error;                                         // A global error register for timeouts etc.
unsigned char volume;                               // Volume is global for now, only DAC should touch it!
char bass;                                          // Bass is global for now, only DAC should touch it!
char wakeup;                                        // What woke the MCU?
unsigned int ledsequence;                           // The LED sequence that is to be displayed on ATX and/or ARX


// Choose one init and user interface file to include into your project
//#include "main_option1.c"                         // User interface option 1, full user interface on ATX
//#include "main_option2.c"                         // User interface option 2, full user interface on ARX
#include "main_option3.c"                           // User interface option 3, full user interface on both ATX and ARX
