/*= uartdebug.h ================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Borge Strand
 *
 * Description:
 *
 *    Declarations used by debug system
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 2.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef UARTDEBUG_H
#define UARTDEBUG_H


// Local includes
#include "mcu.h"
#include "dac.h"
#include "z1slaveio.h"
#include "hpref_defines.h"
#include "adc.h"


// Primitive I/O to terminal
void db_singleread(char adr);
void db_singlewrite(char adr, char data);
void db_putenter(void);
void db_puthex(char c);


// Debug programs
#ifdef DEBUGIF
void db_hex(void);
#endif


// Specific printouts
void db_showadr(void);

#endif
